Subject: Re: bug#25765: [PATCH] Avoid errors when flyspell-generic-check-word-predicate is a lambda.

From: Noam Postavsky <[email-masked]>
Date: Thu, 16 Feb 2017 16:36:48 -0500

On Thu, Feb 16, 2017 at 4:30 PM, Hong Xu <[email-masked]> wrote:
> -             (and (fboundp flyspell-generic-check-word-predicate)
> -                  (not (funcall flyspell-generic-check-word-predicate))))
> +              (and (fboundp 'flyspell-generic-check-word-predicate)
> +                   (not (funcall flyspell-generic-check-word-predicate))))

> -           (fboundp flyspell-generic-check-word-predicate)
> +           (fboundp 'flyspell-generic-check-word-predicate)

I don't think that's the right fix, rather the fboundp should be
replaced with functionp.